From c7cffe3ce0830bbb1f4dac300ec3fbbd334fca3f Mon Sep 17 00:00:00 2001
From: Martin Steih <martin.steih@lachmann-rink.de>
Date: Tue, 6 Dec 2022 23:07:18 -0700
Subject: [PATCH] Hints to the interpretation of path within binaryblob added

The path of a binaryblob is interpreted differently depending on whether it starts with a / or not.
This commit adds this to the annotation of complexType binaryblob in dbsfed.xsd

Signed-off-by: Martin Steih <martin.steih@lachmann-rink.de>
---
 schema/dbsfed.xsd | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

diff --git a/schema/dbsfed.xsd b/schema/dbsfed.xsd
index e9e2381f..72bca5a3 100644
--- a/schema/dbsfed.xsd
+++ b/schema/dbsfed.xsd
@@ -1434,7 +1434,8 @@ SPDX-FileCopyrightText: Linutronix GmbH
   <complexType name="binaryblob">
     <annotation>
       <documentation>
-        a binary that is dd'ed to the specified offset
+        a binary that is dd'ed to the specified offset. If path starts with a /, the binary blob will be interpreted as relative to target root.
+        Otherwise, the path will be interpreted as being relative to the corresponding elbe project.
       </documentation>
     </annotation>
     <simpleContent>
-- 
2.30.2

